Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000114 [Piwigo] other major always 2005.05.05 19:23 2005.09.18 20:59
Reporter hpsam View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.4.1 Product Version 1.4.0
  Target Version Product Build
Summary 0000114: Protection du mail du webmaster.
Description Le mail du webmaster, affiché en bas de chaque page, n'est pas protégé contre les robots de spam. Il faudrait
- soit utiliser du javascript, recomposant le mail lors de l'affichage (function mail() {deb = "nom.prenom"; fin = "fournisseur.ext"; document.write('<a href=\"mailto:' + deb + '@' + fin + '\">'); document.write(deb + '@' + fin + '</a>');})
- soit permettre un email non valide type toto[arobase]test.com,
- soit utiliser un formulaire envoyé avec la fonction mail de PHP.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships
related to 0000144closedplg Gestion automatique du Mot de pass perdu pour l'utilisateur 
has duplicate 0000665closed Webmaster mail address is vulnerable 

-  Notes
(0000144)
plg (manager)
2005.05.14 12:58

Correction la plus simple : permettre un email non valide

http://cvs.gna.org/viewcvs/phpwebgallery/phpwebgallery/admin/configuration.php.diff?r1=1.44.2.1&r2=1.44.2.2 [^]
(0000240)
plg (manager)
2005.09.18 20:59

Je ferme ce bogue. Je n'ai pas reporté la correction simple sur BSF car j'ai fait plus complexe (mais un peu mieux normalement) :

- le mail du webmater en bas de page n'est montré que pour les utilisateurs enregistrés (donc il faut se loguer, et passer un formulaire d'enregistrement, ce qu'un moteur ne fera pas tout seul)

- l'oubli du mot de passe est également géré dans un formulaire, voir 0000144

- Issue History
Date Modified Username Field Change
2005.05.05 19:23 hpsam New Issue
2005.05.05 19:23 hpsam browser => any
2005.05.05 19:23 hpsam Web server => Apache 1.3.x
2005.05.05 20:28 plg Assigned To => plg
2005.05.05 20:28 plg Status new => assigned
2005.05.05 20:28 plg version => 1.4.0
2005.05.14 12:58 plg Status assigned => resolved
2005.05.14 12:58 plg Fixed in Version => 1.4.1
2005.05.14 12:58 plg Resolution open => fixed
2005.05.14 12:58 plg Note Added: 0000144
2005.09.18 20:56 plg Relationship added related to 0000144
2005.09.18 20:59 plg Note Added: 0000240
2005.09.18 20:59 plg Status resolved => closed
2007.04.24 18:56 plg Relationship added has duplicate 0000665


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker